## Index

### Variables

- all

### Functions

- get
- getGroup
- recycle
- register

## Variables

### Let all

all: object

- Defined in support/ObjectPool.ts:7

Created by rockyl on 2018/8/1.

对象池

#### Type declaration

## Functions

### get

- get(name: string, ...params: any[]): any

- - Defined in support/ObjectPool.ts:33

  获取一个对象

  #### Parameters

  - ##### name: string

    池名称

  - ##### Rest ...params: any[]

    参数

  #### Returns any

### getGroup

- getGroup(name: string): any

- - Defined in support/ObjectPool.ts:9

  #### Parameters

  - ##### name: string

  #### Returns any

### recycle

- recycle(name: string, instance: any): void

- - Defined in support/ObjectPool.ts:55

  回收一个对象

  #### Parameters

  - ##### name: string

    池名称

  - ##### instance: any

    实例

  #### Returns void

### register

- register(name: string, newFunc: Function, initFunc: Function): void

- - Defined in support/ObjectPool.ts:24

  注册一个池

  #### Parameters

  - ##### name: string

    池名称

  - ##### newFunc: Function

    实例化方法

  - ##### initFunc: Function

    初始化方法

  #### Returns void

Generated using TypeDoc